/* ----------------------------------------
 * Origin  : GFI INFORMATIQUE 
 * Project : CDPP Propagation Tool 
 * ----------------------------------------
 * History 
 * Version : 01/05/2015 : SCA : V2.1
 * ----------------------------------------
 */
package fr.tlse.irap.vplot;

import java.io.Serializable;
import java.util.Calendar;

public class SolarSpeed implements Serializable, Comparable<SolarSpeed> {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private Calendar eventTime;
	private Float speed;

	public Calendar getEventTime() {
		return eventTime;
	}

	public void setEventTime(Calendar eventTime) {
		this.eventTime = eventTime;
	}

	public Float getSpeed() {
		return speed;
	}

	public void setSpeed(Float speed) {
		this.speed = speed;
	}

	@Override
	public int compareTo(SolarSpeed arg0) {
		return Double.compare(this.speed, arg0.getSpeed());
	}
	
}
